> ## Documentation Index
> Fetch the complete documentation index at: https://auth0.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Change Password

> Send a change password email to a user for a specified connection.

export const ResponseSchema = ({statusCode, type = "{}", children}) => {
  const [open, setOpen] = useState(false);
  return <div className="border border-gray-100 dark:border-gray-800 rounded-lg mb-3 overflow-hidden">
      <div className={`flex items-center gap-2.5 px-4 py-2.5 cursor-pointer select-none ${open ? "bg-gray-50 dark:bg-gray-800" : ""}`} onClick={() => setOpen(!open)}>
        {statusCode && <span className="border border-gray-300 dark:border-gray-600 text-gray-700 dark:text-gray-300 font-mono text-xs px-1.5 py-0.5 rounded">
            {statusCode.startsWith("default") ? "default" : statusCode}
          </span>}
        <span className="text-gray-500 dark:text-gray-400 text-sm font-mono">
          {type}
        </span>
        <span className="text-gray-400 dark:text-gray-500 text-sm italic">
          application/json
        </span>
        <svg className={`ml-auto opacity-50 transition-transform duration-200 ${open ? "rotate-180" : ""}`} width="16" height="16" viewBox="0 0 16 16" fill="none">
          <path d="M4 6l4 4 4-4" stroke="currentColor" strokeWidth="1.5" strokeLinecap="round" strokeLinejoin="round" />
        </svg>
      </div>
      {open && <div className="px-4 pt-1 pb-3 border-t border-gray-100 dark:border-gray-800">
          {children}
        </div>}
    </div>;
};

## Endpoint

`POST /dbconnections/change_password`

Send a change password email to the user's provided email address and `connection`.

Optionally, you may provide an Organization ID to support Organization-specific variables in [customized email templates](https://auth0.com/docs/customize/email/email-templates) and to include the `organization_id` and `organization_name` parameters in the **Redirect To** URL.

**Note:** This endpoint only works for database connections.

### Remarks

* When the user clicks on the password change link they will be redirected to a page asking them for a new password.
* This endpoint will return three HTTP Response Headers, that provide relevant data on its rate limits:
  * `X-RateLimit-Limit`: Number of requests allowed per minute.
  * `X-RateLimit-Remaining`: Number of requests available. Each new request reduces this number by 1. For each minute that passes, requests are added back, so this number increases by 1 each time.
  * `X-RateLimit-Reset`: Remaining time until the rate limit (`X-RateLimit-Limit`) resets. The value is in [UTC epoch seconds](https://en.wikipedia.org/wiki/Unix_time).

### Learn More

* [Changing a User's Password](https://auth0.com/docs/authenticate/database-connections/password-change)
* [Password Strength in Auth0 Database Connections](https://auth0.com/docs/authenticate/database-connections/password-strength)
* [Password Options in Auth0 Database Connections](https://auth0.com/docs/authenticate/database-connections/password-options)
* [Auth0 API Rate Limit Policy](https://auth0.com/docs/troubleshoot/customer-support/operational-policies/rate-limit-policy/rate-limit-configurations)

## Body Parameters

<ParamField body="client_id" type="string">
  The `client_id` of your client. Required only when the [password-reset-post-challenge Actions trigger](/docs/customize/actions/explore-triggers/password-reset-triggers/post-challenge-trigger) is bound to your tenant; otherwise optional.
</ParamField>

<ParamField body="email" type="string" required>
  The user's email address.
</ParamField>

<ParamField body="connection" type="string" required>
  The name of the database connection configured to your client.
</ParamField>

<ParamField body="organization" type="string">
  The `organization_id` of the Organization associated with the user.
</ParamField>

## Response Schema

<ResponseSchema type="string">
  The 200 response body is a plain text string.

  <br />

  Example: `"We've just sent you an email to reset your password."`
</ResponseSchema>

## Response Messages

| Status | Description                                 |
| ------ | ------------------------------------------- |
| 200    | A change password email has been sent.      |
| 400    | Bad request, missing or invalid parameters. |
| 404    | User not found.                             |
